## visad.data.dods
Class ByteValuator

    java.lang.Object
      visad.data.dods.Valuator
          visad.data.dods.IntValuator
              visad.data.dods.ByteValuator

public final class ByteValuator
extends IntValuator

Provides support for processing byte values in a DODS dataset. Processing includes checking for validity and unpacking.

Instances are immutable.

Field Summary

Fields inherited from class visad.data.dods.Valuator
`ranger, unpacker, vetter`

Method Summary
`static Valuator` `valuator(AttributeTable table)` Returns an instance of this class corresponding to the attributes for a DODS variable.

Methods inherited from class visad.data.dods.IntValuator
`getRepresentationalSet`

Methods inherited from class visad.data.dods.Valuator
`decode, process, process, process, process, valuator, valueRanger, valueUnpacker, valueVetter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### valuator

    public static Valuator valuator(AttributeTable table)
                             throws BadFormException,
                                    VisADException,
                                    RemoteException

  Returns an instance of this class corresponding to the attributes for a DODS variable.

  Parameters:
    `table` - The attribute table for a DODS variable.
  Throws:
    `BadFormException` - The attribute table is corrupt.
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.